package ConsoleApplication;

import java.util.Iterator;
import java.util.List;

import MyClient.Client;
import VmManager.Manager;

public class Program
{

    public static void main(String[] args)
    {    
        Manager manager = new Manager();
        Client client = new Client(manager);
    
        System.out.format("Manager version is %s.\n", Client.verifyManager() ? "OK" : "too old");
        
        List<String> names = client.getVMNames();    
        System.out.format("Virtual Machines: %s\n", join(", ", names));
    }

    public static String join(String delim, List<String> col) {
        StringBuilder sb = new StringBuilder();
        Iterator<String> iter = col.iterator();
        if (iter.hasNext())
            sb.append(iter.next().toString());
        while (iter.hasNext()) {
            sb.append(delim);
            sb.append(iter.next().toString());
        }
        return sb.toString();
    }
}
